## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenFeatureImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
                      org.eclipse.emf.codegen.ecore.genmodel.impl.GenTypedElementImpl
                          org.eclipse.emf.codegen.ecore.genmodel.impl.GenFeatureImpl

All Implemented Interfaces:
  GenBase, GenFeature, GenTypedElement, Notifier, EObject, InternalEObject

    public class GenFeatureImpl

extends GenTypedElementImpl
implements GenFeature

An implementation of the model object 'Gen Feature'.

The following features are implemented:

- `Property`
- `Notify`
- `Children`
- `Create Child`
- `Property Category`
- `Property Filter Flags`
- `Property Description`
- `Property Multi Line`
- `Property Sort Choices`
- `Gen Class`
- `Ecore Feature`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`GenBaseImpl.AnnotationFilter, GenBaseImpl.AnnotationFilterImpl, GenBaseImpl.ColorInformation, GenBaseImpl.EclipseUtil, GenBaseImpl.GenAnnotationCopier, GenBaseImpl.GenClassFilter, GenBaseImpl.GenConstraintFilter, GenBaseImpl.GenFeatureFilter, GenBaseImpl.GenOperationFilter, GenBaseImpl.GIFEmitter, GenBaseImpl.UniqueNameHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected boolean` `children` The cached value of the '`Children`' attribute
`protected static boolean` `CHILDREN_EDEFAULT` The default value of the '`Children`' attribute
`protected static boolean` `CREATE_CHILD_EDEFAULT` The default value of the '`Create Child`' attribute
`protected boolean` `createChild` The cached value of the '`Create Child`' attribute
`protected boolean` `createChildESet` This is true if the Create Child attribute has been set
`protected EStructuralFeature` `ecoreFeature` The cached value of the '`Ecore Feature`' reference
`protected boolean` `notify` The cached value of the '`Notify`' attribute
`protected static boolean` `NOTIFY_EDEFAULT` The default value of the '`Notify`' attribute
`protected GenPropertyKind` `property` The cached value of the '`Property`' attribute
`protected static java.lang.String` `PROPERTY_CATEGORY_EDEFAULT` The default value of the '`Property Category`' attribute
`protected static java.lang.String` `PROPERTY_DESCRIPTION_EDEFAULT` The default value of the '`Property Description`' attribute
`protected static GenPropertyKind` `PROPERTY_EDEFAULT` The default value of the '`Property`' attribute
`protected static boolean` `PROPERTY_MULTI_LINE_EDEFAULT` The default value of the '`Property Multi Line`' attribute
`protected static boolean` `PROPERTY_SORT_CHOICES_EDEFAULT` The default value of the '`Property Sort Choices`' attribute
`protected java.lang.String` `propertyCategory` The cached value of the '`Property Category`' attribute
`protected java.lang.String` `propertyDescription` The cached value of the '`Property Description`' attribute
`protected EList<java.lang.String>` `propertyFilterFlags` The cached value of the '`Property Filter Flags`' attribute list
`protected boolean` `propertyMultiLine` The cached value of the '`Property Multi Line`' attribute
`protected boolean` `propertySortChoices` The cached value of the '`Property Sort Choices`' attribute

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`DEFAULT_ANNOTATION_FILTER, EMPTY_URI, genAnnotations, PLATFORM_RESOURCE_URI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenFeatureImpl()`

Method Summary
`protected void` `autoSetCreateChild()`
`EStructuralFeature` `basicGetEcoreFeature()`
`NotificationChain` `basicSetGenClass(GenClass newGenClass, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getAccessorName()`
`java.lang.String` `getCapName()`
`java.lang.String` `getChangeableFlag()`
`java.lang.String` `getContainerClass()`
`java.lang.String` `getContainmentFlag()`
`java.lang.String` `getCreateChildValueLiteral()`
`java.lang.String` `getDefaultValue()`
`java.util.List<GenFeature>` `getDelegatedFeatures()` It considers mixed types, model groups, substitution groups and wildcards.
`java.util.List<GenFeature>` `getDelegatedFeatures(GenModel genModel)`
`GenFeature` `getDelegateFeature()`
`java.lang.String` `getDerivedFlag()`
`EStructuralFeature` `getEcoreFeature()`
`ETypedElement` `getEcoreTypedElement()`
`java.lang.String` `getEDefault()`
`java.lang.String` `getFeatureAccessorName()`
`java.lang.String` `getFeatureKind()`
`java.lang.String` `getFormattedName()`
`GenClass` `getGenClass()`
`GenPackage` `getGenPackage()`
`java.lang.String` `getGetAccessor()`
`java.lang.String` `getGetArrayAccessor()`
`java.lang.String` `getIDFlag()`
`java.lang.String` `getImportedMetaType()`
`java.lang.String` `getIsName()`
`java.util.List<GenFeature>` `getKeys()`
`java.lang.String` `getMetaType()`
`java.lang.String` `getModelInfo()`
`java.lang.String` `getModelInfo(boolean qualified)`
`java.lang.String` `getName()`
`GenPropertyKind` `getProperty()`
`java.lang.String` `getPropertyCategory()`
`java.lang.String` `getPropertyDescription()`
`EList<java.lang.String>` `getPropertyFilterFlags()`
`java.lang.String` `getPropertyImageName()`
`java.lang.String` `getQualifiedFeatureAccessor()`
`java.lang.String` `getQualifiedFeatureAccessorName()`
`java.lang.String` `getQualifiedModelInfo()`
`java.lang.String` `getResolveProxiesFlag()`
`GenFeature` `getReverse()`
`java.lang.String` `getSafeName()`
`java.lang.String` `getSafeNameAsEObject()`
`java.lang.String` `getStaticDefaultValue()`
`java.lang.String` `getTransientFlag()`
`java.lang.String` `getUncapName()`
`java.lang.String` `getUnsettableFlag()`
`java.lang.String` `getUpperName()`
`java.lang.String` `getVolatileFlag()`
`boolean` `hasDelegateFeature()`
`boolean` `hasEDefault()`
`void` `initialize(EStructuralFeature eFeature)`
`boolean` `isBasicGet()`
`boolean` `isBasicSet()`
`boolean` `isBasicUnset()`
`boolean` `isBidirectional()`
`boolean` `isChangeable()`
`boolean` `isChildren()`
`boolean` `isContainer()`
`boolean` `isContains()`
`boolean` `isCreateChild()` Returns the value of the 'Create Child' attribute
`boolean` `isCreateChildGen()`
`boolean` `isDerived()`
`boolean` `isEffectiveContains()`
`protected boolean` `isEObjectExtensionType()`
`protected boolean` `isEObjectType()`
`boolean` `isESetField()`
`boolean` `isESetFlag()`
`boolean` `isField()`
`boolean` `isFlag()` This method isn't terribly useful now that an enum attribute could be considered a flag, but should only be generated as such if `packed enums` is enabled for the model.
`boolean` `isGet()`
`boolean` `isID()`
`boolean` `isIsSet()`
`protected boolean` `isMapEntryFeature()`
`boolean` `isMapType()`
`boolean` `isNotify()`
`boolean` `isProperty()`
`boolean` `isPropertyMultiLine()`
`boolean` `isPropertySortChoices()`
`boolean` `isReferenceType()`
`boolean` `isResolveProxies()`
`boolean` `isSet()`
`boolean` `isSetCreateChild()` Set from `children` if necessary, and return true.
`boolean` `isSetCreateChildGen()`
`boolean` `isSetDefaultValue()`
`boolean` `isSuppressedGetVisibility()`
`boolean` `isSuppressedIsSetVisibility()`
`boolean` `isSuppressedSetVisibility()`
`boolean` `isSuppressedUnsetVisibility()`
`boolean` `isTested()` Returns whether the test case will test this feature.
`boolean` `isUnset()`
`boolean` `isUnsettable()`
`boolean` `isVolatile()`
`boolean` `reconcile()`
`boolean` `reconcile(GenFeature oldGenFeatureVersion)`
`protected void` `reconcileSettings(GenFeature oldGenFeatureVersion)`
`void` `setChildren(boolean newChildren)`
`void` `setCreateChild(boolean newCreateChild)`
`void` `setEcoreFeature(EStructuralFeature newEcoreFeature)`
`void` `setGenClass(GenClass newGenClass)`
`void` `setNotify(boolean newNotify)`
`void` `setProperty(GenPropertyKind newProperty)`
`void` `setPropertyCategory(java.lang.String newPropertyCategory)`
`void` `setPropertyDescription(java.lang.String newPropertyDescription)`
`void` `setPropertyMultiLine(boolean newPropertyMultiLine)`
`void` `setPropertySortChoices(boolean newPropertySortChoices)`
`java.lang.String` `toString()`
`void` `unsetCreateChild()`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenTypedElementImpl

`appendModelSetting, getContext, getEcoreModelElement, getEffectiveComplianceLevel, getEObjectCast, getGenClassType, getGenDataTypeType, getGenEnumType, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedInternalType, getImportedInternalType, getImportedMapEntryType, getImportedMapKeyType, getImportedMapTemplateArguments, getImportedMapValueType, getImportedType, getImportedType, getInternalTypeCast, getListDataType, getListItemType, getListItemType, getListTemplateArguments, getLowerBound, getMapEntryTypeGenClass, getMapGenClass, getMapItemType, getMapModelInfo, getMultiplicityModelInfo, getNonEObjectInternalTypeCast, getNonEObjectInternalTypeCast, getObjectType, getObjectType, getOrderedFlag, getPrimitiveValueFunction, getQualifiedListItemType, getQualifiedListItemType, getRawBoundType, getRawImportedBoundType, getRawImportedType, getRawListItemType, getRawType, getRawTypeCast, getType, getType, getTypeClassifier, getTypeClassifierAccessorName, getTypeGenClass, getTypeGenClassifier, getTypeGenDataType, getTypeGenEnum, getTypeGenPackage, getUniqueFlag, getUpperBound, hasEObjectBound, hasEObjectExtensionBound, hasGenericType, isBooleanType, isEffectiveSuppressEMFTypes, isEnumBasedType, isEnumType, isFeatureMapEntry, isFeatureMapType, isFeatureMapWrapped, isListDataType, isListType, isMapEntryType, isPrimitiveType, isStringBasedType, isStringType, isUncheckedCast, isUncheckedCast, isUnique, isWrappedFeatureMapType`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl

`addNonDuplicates, appendAnnotationInfo, appendAnnotationInfo, appendAnnotationInfo, appendLineBreak, appendModelSetting, appendModelSetting, canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, collectGenClasses, collectGenConstraints, collectGenFeatures, collectGenOperations, createInputStream, createMonitor, createOutputStream, eObjectForURIFragmentSegment, escapeString, eURIFragmentSegment, exists, filterGenClasses, findGenClass, findGenClassifier, findGenDataType, findGenEnum, findGenFeature, findGenOperation, findGenPackage, findGenPackageHelper, findOrCreateContainer, format, format, formatCode, gen, gen, genEdit, genEditor, generate, generate, generate, generate, generate, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getAllGenPackages, getAnnotationInfo, getAnnotationInfo, getBoundType, getContents, getCopyright, getCopyright, getDocumentation, getDocumentation, getEcoreType, getEffectiveEObjectType, getEffectiveFeatureMapWrapperInterface, getEffectiveListType, getEffectiveListType, getEffectiveListType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapType, getEffectiveMapType, getEffectiveMapType, getEncoding, getExtendedMetaData, getGenAnnotation, getGenAnnotations, getGenModel, getImplClassName, getImportedType, getImportedType, getImportedType, getImportManager, getInstanceClass, getInterfaceName, getJavaLangTypes, getJavaReservedWords, getMainGenModel, getPrimitiveDefault, getPrimitiveObjectType, getType, getType, getType, getTypeArgument, getTypeArguments, getTypeGenClasses, hasCopyright, hasDocumentation, hasModelContribution, hasReferenceToClassifierWithInstanceTypeName, hasReferenceToClassifierWithInstanceTypeName, indent, isBlank, isDerivedType, isJavaUtilMapEntry, isPrimitiveType, isReadOnly, isRemappedXMLType, parseName, reconcileGenAnnotations, safeName, setImportManager, setOverwriteable, uncapName, uncapPrefixedName, uncapPrefixedName, unicodeEscapeEncode`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenTypedElement

`getEcoreModelElement, getEffectiveComplianceLevel, getEObjectCast, getGenClassType, getGenDataTypeType, getGenEnumType, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedInternalType, getImportedInternalType, getImportedMapEntryType, getImportedMapKeyType, getImportedMapTemplateArguments, getImportedMapValueType, getImportedType, getImportedType, getInternalTypeCast, getListItemType, getListItemType, getListTemplateArguments, getLowerBound, getMapEntryTypeGenClass, getMapGenClass, getMapItemType, getNonEObjectInternalTypeCast, getNonEObjectInternalTypeCast, getObjectType, getObjectType, getOrderedFlag, getPrimitiveValueFunction, getQualifiedListItemType, getQualifiedListItemType, getRawBoundType, getRawImportedBoundType, getRawImportedType, getRawListItemType, getRawType, getRawTypeCast, getType, getType, getTypeClassifier, getTypeClassifierAccessorName, getTypeGenClass, getTypeGenClassifier, getTypeGenDataType, getTypeGenEnum, getTypeGenPackage, getUniqueFlag, getUpperBound, hasGenericType, isBooleanType, isEffectiveSuppressEMFTypes, isEnumBasedType, isEnumType, isFeatureMapType, isFeatureMapWrapped, isListDataType, isListType, isPrimitiveType, isStringBasedType, isStringType, isUncheckedCast, isUncheckedCast, isUnique, isWrappedFeatureMapType`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### PROPERTY_EDEFAULT

    protected static final GenPropertyKind PROPERTY_EDEFAULT

  The default value of the '`Property`' attribute.

  See Also:
    `getProperty()`

### property

    protected GenPropertyKind property

  The cached value of the '`Property`' attribute.

  See Also:
    `getProperty()`

### NOTIFY_EDEFAULT

    protected static final boolean NOTIFY_EDEFAULT

  The default value of the '`Notify`' attribute.

  See Also:
    `isNotify()`, Constant Field Values

### notify

    protected boolean notify

  The cached value of the '`Notify`' attribute.

  See Also:
    `isNotify()`

### CHILDREN_EDEFAULT

    protected static final boolean CHILDREN_EDEFAULT

  The default value of the '`Children`' attribute.

  See Also:
    `isChildren()`, Constant Field Values

### children

    protected boolean children

  The cached value of the '`Children`' attribute.

  See Also:
    `isChildren()`

### CREATE_CHILD_EDEFAULT

    protected static final boolean CREATE_CHILD_EDEFAULT

  The default value of the '`Create Child`' attribute.

  See Also:
    `isCreateChild()`, Constant Field Values

### createChild

    protected boolean createChild

  The cached value of the '`Create Child`' attribute.

  See Also:
    `isCreateChild()`

### createChildESet

    protected boolean createChildESet

  This is true if the Create Child attribute has been set.

### PROPERTY_CATEGORY_EDEFAULT

    protected static final java.lang.String PROPERTY_CATEGORY_EDEFAULT

  The default value of the '`Property Category`' attribute.

  See Also:
    `getPropertyCategory()`

### propertyCategory

    protected java.lang.String propertyCategory

  The cached value of the '`Property Category`' attribute.

  See Also:
    `getPropertyCategory()`

### propertyFilterFlags

    protected EList<java.lang.String> propertyFilterFlags

  The cached value of the '`Property Filter Flags`' attribute list.

  See Also:
    `getPropertyFilterFlags()`

### PROPERTY_DESCRIPTION_EDEFAULT

    protected static final java.lang.String PROPERTY_DESCRIPTION_EDEFAULT

  The default value of the '`Property Description`' attribute.

  See Also:
    `getPropertyDescription()`

### propertyDescription

    protected java.lang.String propertyDescription

  The cached value of the '`Property Description`' attribute.

  See Also:
    `getPropertyDescription()`

### PROPERTY_MULTI_LINE_EDEFAULT

    protected static final boolean PROPERTY_MULTI_LINE_EDEFAULT

  The default value of the '`Property Multi Line`' attribute.

  See Also:
    `isPropertyMultiLine()`, Constant Field Values

### propertyMultiLine

    protected boolean propertyMultiLine

  The cached value of the '`Property Multi Line`' attribute.

  See Also:
    `isPropertyMultiLine()`

### PROPERTY_SORT_CHOICES_EDEFAULT

    protected static final boolean PROPERTY_SORT_CHOICES_EDEFAULT

  The default value of the '`Property Sort Choices`' attribute.

  See Also:
    `isPropertySortChoices()`, Constant Field Values

### propertySortChoices

    protected boolean propertySortChoices

  The cached value of the '`Property Sort Choices`' attribute.

  See Also:
    `isPropertySortChoices()`

### ecoreFeature

    protected EStructuralFeature ecoreFeature

  The cached value of the '`Ecore Feature`' reference.

  See Also:
    `getEcoreFeature()`

Constructor Detail

### GenFeatureImpl

    protected GenFeatureImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenTypedElementImpl`

### getProperty

    public GenPropertyKind getProperty()

  Specified by:
    `getProperty` in interface `GenFeature`
  Returns:
    the value of the 'Property' attribute.
  See Also:
    `GenPropertyKind`, `GenFeature.setProperty(GenPropertyKind)`, `GenModelPackage.getGenFeature_Property()`

### isProperty

    public boolean isProperty()

  Specified by:
    `isProperty` in interface `GenFeature`

### setProperty

    public void setProperty(GenPropertyKind newProperty)

  Specified by:
    `setProperty` in interface `GenFeature`
  Parameters:
    `newProperty` - the new value of the 'Property' attribute.
  See Also:
    `GenPropertyKind`, `GenFeature.getProperty()`

### isNotify

    public boolean isNotify()

  Specified by:
    `isNotify` in interface `GenFeature`
  Returns:
    the value of the 'Notify' attribute.
  See Also:
    `GenFeature.setNotify(boolean)`, `GenModelPackage.getGenFeature_Notify()`

### setNotify

    public void setNotify(boolean newNotify)

  Specified by:
    `setNotify` in interface `GenFeature`
  Parameters:
    `newNotify` - the new value of the 'Notify' attribute.
  See Also:
    `GenFeature.isNotify()`

### isChildren

    public boolean isChildren()

  Specified by:
    `isChildren` in interface `GenFeature`
  Returns:
    the value of the 'Children' attribute.
  See Also:
    `GenFeature.setChildren(boolean)`, `GenModelPackage.getGenFeature_Children()`

### setChildren

    public void setChildren(boolean newChildren)

  Specified by:
    `setChildren` in interface `GenFeature`
  Parameters:
    `newChildren` - the new value of the 'Children' attribute.
  See Also:
    `GenFeature.isChildren()`

### isCreateChild

    public boolean isCreateChild()

  Description copied from interface: `GenFeature`
  Returns the value of the 'Create Child' attribute.

  This attribute determines whether child objects can be created via this feature. It is temporarily unsettable to ease migration from pre-2.0 versions of EMF, in which the `children` feature did this as a secondary role.

  If the feature has not yet been set, it will be set based on the value of the `children` feature, before its value is returned. This ensures that pre-2.0 models will upgrade themselves, and continue to work as before.

  Specified by:
    `isCreateChild` in interface `GenFeature`
  Returns:
    the value of the 'Create Child' attribute.
  See Also:
    `GenFeature.isSetCreateChild()`, `GenFeature.unsetCreateChild()`, `GenFeature.setCreateChild(boolean)`, `GenModelPackage.getGenFeature_CreateChild()`

### isCreateChildGen

    public boolean isCreateChildGen()

### setCreateChild

    public void setCreateChild(boolean newCreateChild)

  Specified by:
    `setCreateChild` in interface `GenFeature`
  Parameters:
    `newCreateChild` - the new value of the 'Create Child' attribute.
  See Also:
    `GenFeature.isSetCreateChild()`, `GenFeature.unsetCreateChild()`, `GenFeature.isCreateChild()`

### unsetCreateChild

    public void unsetCreateChild()

  Specified by:
    `unsetCreateChild` in interface `GenFeature`
  See Also:
    `GenFeature.isSetCreateChild()`, `GenFeature.isCreateChild()`, `GenFeature.setCreateChild(boolean)`

### isSetCreateChild

    public boolean isSetCreateChild()

  Set from `children` if necessary, and return true.

  Specified by:
    `isSetCreateChild` in interface `GenFeature`
  Returns:
    whether the value of the 'Create Child' attribute is set.
  See Also:
    `GenFeature.unsetCreateChild()`, `GenFeature.isCreateChild()`, `GenFeature.setCreateChild(boolean)`

### isSetCreateChildGen

    public boolean isSetCreateChildGen()

### getPropertyCategory

    public java.lang.String getPropertyCategory()

  Specified by:
    `getPropertyCategory` in interface `GenFeature`
  Returns:
    the value of the 'Property Category' attribute.
  See Also:
    `GenFeature.setPropertyCategory(String)`, `GenModelPackage.getGenFeature_PropertyCategory()`

### setPropertyCategory

    public void setPropertyCategory(java.lang.String newPropertyCategory)

  Specified by:
    `setPropertyCategory` in interface `GenFeature`
  Parameters:
    `newPropertyCategory` - the new value of the 'Property Category' attribute.
  See Also:
    `GenFeature.getPropertyCategory()`

### getPropertyFilterFlags

    public EList<java.lang.String> getPropertyFilterFlags()

  Specified by:
    `getPropertyFilterFlags` in interface `GenFeature`
  Returns:
    the value of the 'Property Filter Flags' attribute list.
  See Also:
    `GenModelPackage.getGenFeature_PropertyFilterFlags()`

### getPropertyDescription

    public java.lang.String getPropertyDescription()

  Specified by:
    `getPropertyDescription` in interface `GenFeature`
  Returns:
    the value of the 'Property Description' attribute.
  See Also:
    `GenFeature.setPropertyDescription(String)`, `GenModelPackage.getGenFeature_PropertyDescription()`

### setPropertyDescription

    public void setPropertyDescription(java.lang.String newPropertyDescription)

  Specified by:
    `setPropertyDescription` in interface `GenFeature`
  Parameters:
    `newPropertyDescription` - the new value of the 'Property Description' attribute.
  See Also:
    `GenFeature.getPropertyDescription()`

### isPropertyMultiLine

    public boolean isPropertyMultiLine()

  Specified by:
    `isPropertyMultiLine` in interface `GenFeature`
  Returns:
    the value of the 'Property Multi Line' attribute.
  See Also:
    `GenFeature.setPropertyMultiLine(boolean)`, `GenModelPackage.getGenFeature_PropertyMultiLine()`

### setPropertyMultiLine

    public void setPropertyMultiLine(boolean newPropertyMultiLine)

  Specified by:
    `setPropertyMultiLine` in interface `GenFeature`
  Parameters:
    `newPropertyMultiLine` - the new value of the 'Property Multi Line' attribute.
  See Also:
    `GenFeature.isPropertyMultiLine()`

### isPropertySortChoices

    public boolean isPropertySortChoices()

  Specified by:
    `isPropertySortChoices` in interface `GenFeature`
  Returns:
    the value of the 'Property Sort Choices' attribute.
  See Also:
    `GenFeature.setPropertySortChoices(boolean)`, `GenModelPackage.getGenFeature_PropertySortChoices()`

### setPropertySortChoices

    public void setPropertySortChoices(boolean newPropertySortChoices)

  Specified by:
    `setPropertySortChoices` in interface `GenFeature`
  Parameters:
    `newPropertySortChoices` - the new value of the 'Property Sort Choices' attribute.
  See Also:
    `GenFeature.isPropertySortChoices()`

### autoSetCreateChild

    protected void autoSetCreateChild()

### getGenClass

    public GenClass getGenClass()

  Specified by:
    `getGenClass` in interface `GenFeature`
  Returns:
    the value of the 'Gen Class' container reference.
  See Also:
    `GenFeature.setGenClass(GenClass)`, `GenModelPackage.getGenFeature_GenClass()`, `GenClass.getGenFeatures()`

### basicSetGenClass

    public NotificationChain basicSetGenClass(GenClass newGenClass,
                                              NotificationChain msgs)

### setGenClass

    public void setGenClass(GenClass newGenClass)

  Specified by:
    `setGenClass` in interface `GenFeature`
  Parameters:
    `newGenClass` - the new value of the 'Gen Class' container reference.
  See Also:
    `GenFeature.getGenClass()`

### getEcoreFeature

    public EStructuralFeature getEcoreFeature()

  Specified by:
    `getEcoreFeature` in interface `GenFeature`
  Returns:
    the value of the 'Ecore Feature' reference.
  See Also:
    `GenFeature.setEcoreFeature(EStructuralFeature)`, `GenModelPackage.getGenFeature_EcoreFeature()`

### basicGetEcoreFeature

    public EStructuralFeature basicGetEcoreFeature()

### setEcoreFeature

    public void setEcoreFeature(EStructuralFeature newEcoreFeature)

  Specified by:
    `setEcoreFeature` in interface `GenFeature`
  Parameters:
    `newEcoreFeature` - the new value of the 'Ecore Feature' reference.
  See Also:
    `GenFeature.getEcoreFeature()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenBaseImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenBaseImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenBaseImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `GenBaseImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `GenBaseImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenBaseImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

### getEcoreTypedElement

    public ETypedElement getEcoreTypedElement()

  Specified by:
    `getEcoreTypedElement` in class `GenTypedElementImpl`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `GenFeature`
  Specified by:
    `getName` in class `GenBaseImpl`

### getCapName

    public java.lang.String getCapName()

  Specified by:
    `getCapName` in interface `GenFeature`

### getAccessorName

    public java.lang.String getAccessorName()

  Specified by:
    `getAccessorName` in interface `GenFeature`

### getGetArrayAccessor

    public java.lang.String getGetArrayAccessor()

  Specified by:
    `getGetArrayAccessor` in interface `GenFeature`

### getGetAccessor

    public java.lang.String getGetAccessor()

  Specified by:
    `getGetAccessor` in interface `GenFeature`

### getSafeName

    public java.lang.String getSafeName()

  Specified by:
    `getSafeName` in interface `GenFeature`

### getSafeNameAsEObject

    public java.lang.String getSafeNameAsEObject()

  Specified by:
    `getSafeNameAsEObject` in interface `GenFeature`

### getFormattedName

    public java.lang.String getFormattedName()

  Specified by:
    `getFormattedName` in interface `GenFeature`

### getUpperName

    public java.lang.String getUpperName()

  Specified by:
    `getUpperName` in interface `GenFeature`

### getUncapName

    public java.lang.String getUncapName()

  Specified by:
    `getUncapName` in interface `GenFeature`

### getIsName

    public java.lang.String getIsName()

  Specified by:
    `getIsName` in interface `GenFeature`

### getGenPackage

    public GenPackage getGenPackage()

  Specified by:
    `getGenPackage` in interface `GenFeature`

### getFeatureAccessorName

    public java.lang.String getFeatureAccessorName()

  Specified by:
    `getFeatureAccessorName` in interface `GenFeature`

### getQualifiedFeatureAccessorName

    public java.lang.String getQualifiedFeatureAccessorName()

  Specified by:
    `getQualifiedFeatureAccessorName` in interface `GenFeature`

### getQualifiedFeatureAccessor

    public java.lang.String getQualifiedFeatureAccessor()

  Specified by:
    `getQualifiedFeatureAccessor` in interface `GenFeature`

### getMetaType

    public java.lang.String getMetaType()

  Specified by:
    `getMetaType` in interface `GenFeature`

### getImportedMetaType

    public java.lang.String getImportedMetaType()

  Specified by:
    `getImportedMetaType` in interface `GenFeature`

### getFeatureKind

    public java.lang.String getFeatureKind()

  Specified by:
    `getFeatureKind` in interface `GenFeature`

### isReferenceType

    public boolean isReferenceType()

  Specified by:
    `isReferenceType` in interface `GenFeature`

### isEObjectExtensionType

    protected boolean isEObjectExtensionType()

  Overrides:
    `isEObjectExtensionType` in class `GenTypedElementImpl`

### isEObjectType

    protected boolean isEObjectType()

  Overrides:
    `isEObjectType` in class `GenTypedElementImpl`

### isMapType

    public boolean isMapType()

  Specified by:
    `isMapType` in interface `GenTypedElement`
  Overrides:
    `isMapType` in class `GenTypedElementImpl`

### isFlag

    public boolean isFlag()

  Description copied from interface: `GenFeature`
  This method isn't terribly useful now that an enum attribute could be considered a flag, but should only be generated as such if `packed enums` is enabled for the model. This method still returns false in that case.

  Specified by:
    `isFlag` in interface `GenFeature`

### isESetFlag

    public boolean isESetFlag()

  Specified by:
    `isESetFlag` in interface `GenFeature`

### isSetDefaultValue

    public boolean isSetDefaultValue()

  Specified by:
    `isSetDefaultValue` in interface `GenFeature`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `GenFeature`

### getStaticDefaultValue

    public java.lang.String getStaticDefaultValue()

  Specified by:
    `getStaticDefaultValue` in interface `GenFeature`

### isMapEntryFeature

    protected boolean isMapEntryFeature()

### isContainer

    public boolean isContainer()

  Specified by:
    `isContainer` in interface `GenFeature`

### isContains

    public boolean isContains()

  Specified by:
    `isContains` in interface `GenFeature`

### isBidirectional

    public boolean isBidirectional()

  Specified by:
    `isBidirectional` in interface `GenFeature`

### getReverse

    public GenFeature getReverse()

  Specified by:
    `getReverse` in interface `GenFeature`

### getKeys

    public java.util.List<GenFeature> getKeys()

  Specified by:
    `getKeys` in interface `GenFeature`

### getContainerClass

    public java.lang.String getContainerClass()

  Specified by:
    `getContainerClass` in interface `GenFeature`

### getDerivedFlag

    public java.lang.String getDerivedFlag()

  Specified by:
    `getDerivedFlag` in interface `GenFeature`

### getTransientFlag

    public java.lang.String getTransientFlag()

  Specified by:
    `getTransientFlag` in interface `GenFeature`

### getVolatileFlag

    public java.lang.String getVolatileFlag()

  Specified by:
    `getVolatileFlag` in interface `GenFeature`

### getChangeableFlag

    public java.lang.String getChangeableFlag()

  Specified by:
    `getChangeableFlag` in interface `GenFeature`

### getUnsettableFlag

    public java.lang.String getUnsettableFlag()

  Specified by:
    `getUnsettableFlag` in interface `GenFeature`

### getIDFlag

    public java.lang.String getIDFlag()

  Specified by:
    `getIDFlag` in interface `GenFeature`

### getContainmentFlag

    public java.lang.String getContainmentFlag()

  Specified by:
    `getContainmentFlag` in interface `GenFeature`

### getResolveProxiesFlag

    public java.lang.String getResolveProxiesFlag()

  Specified by:
    `getResolveProxiesFlag` in interface `GenFeature`

### isResolveProxies

    public boolean isResolveProxies()

  Specified by:
    `isResolveProxies` in interface `GenFeature`

### isVolatile

    public boolean isVolatile()

  Specified by:
    `isVolatile` in interface `GenFeature`

### isChangeable

    public boolean isChangeable()

  Specified by:
    `isChangeable` in interface `GenFeature`

### isUnsettable

    public boolean isUnsettable()

  Specified by:
    `isUnsettable` in interface `GenFeature`

### isID

    public boolean isID()

  Specified by:
    `isID` in interface `GenFeature`

### isDerived

    public boolean isDerived()

  Specified by:
    `isDerived` in interface `GenFeature`

### hasDelegateFeature

    public boolean hasDelegateFeature()

  Specified by:
    `hasDelegateFeature` in interface `GenFeature`

### getDelegateFeature

    public GenFeature getDelegateFeature()

  Specified by:
    `getDelegateFeature` in interface `GenFeature`

### getDelegatedFeatures

    public java.util.List<GenFeature> getDelegatedFeatures()

  It considers mixed types, model groups, substitution groups and wildcards.

  Specified by:
    `getDelegatedFeatures` in interface `GenFeature`

### getDelegatedFeatures

    public java.util.List<GenFeature> getDelegatedFeatures(GenModel genModel)

  Specified by:
    `getDelegatedFeatures` in interface `GenFeature`

### getCreateChildValueLiteral

    public java.lang.String getCreateChildValueLiteral()

  Specified by:
    `getCreateChildValueLiteral` in interface `GenFeature`

### isSuppressedGetVisibility

    public boolean isSuppressedGetVisibility()

  Specified by:
    `isSuppressedGetVisibility` in interface `GenFeature`

### isSuppressedSetVisibility

    public boolean isSuppressedSetVisibility()

  Specified by:
    `isSuppressedSetVisibility` in interface `GenFeature`

### isSuppressedIsSetVisibility

    public boolean isSuppressedIsSetVisibility()

  Specified by:
    `isSuppressedIsSetVisibility` in interface `GenFeature`

### isSuppressedUnsetVisibility

    public boolean isSuppressedUnsetVisibility()

  Specified by:
    `isSuppressedUnsetVisibility` in interface `GenFeature`

### initialize

    public void initialize(EStructuralFeature eFeature)

  Specified by:
    `initialize` in interface `GenFeature`

### getModelInfo

    public java.lang.String getModelInfo()

  Specified by:
    `getModelInfo` in interface `GenFeature`
  Overrides:
    `getModelInfo` in class `GenBaseImpl`

### getQualifiedModelInfo

    public java.lang.String getQualifiedModelInfo()

  Specified by:
    `getQualifiedModelInfo` in interface `GenFeature`

### getModelInfo

    public java.lang.String getModelInfo(boolean qualified)

### getPropertyImageName

    public java.lang.String getPropertyImageName()

  Specified by:
    `getPropertyImageName` in interface `GenFeature`

### reconcile

    public boolean reconcile(GenFeature oldGenFeatureVersion)

  Specified by:
    `reconcile` in interface `GenFeature`

### reconcileSettings

    protected void reconcileSettings(GenFeature oldGenFeatureVersion)

### reconcile

    public boolean reconcile()

  Specified by:
    `reconcile` in interface `GenBase`

### isField

    public boolean isField()

  Specified by:
    `isField` in interface `GenFeature`

### isESetField

    public boolean isESetField()

  Specified by:
    `isESetField` in interface `GenFeature`

### isGet

    public boolean isGet()

  Specified by:
    `isGet` in interface `GenFeature`

### isBasicGet

    public boolean isBasicGet()

  Specified by:
    `isBasicGet` in interface `GenFeature`

### isBasicSet

    public boolean isBasicSet()

  Specified by:
    `isBasicSet` in interface `GenFeature`

### isSet

    public boolean isSet()

  Specified by:
    `isSet` in interface `GenFeature`

### isBasicUnset

    public boolean isBasicUnset()

  Specified by:
    `isBasicUnset` in interface `GenFeature`

### isUnset

    public boolean isUnset()

  Specified by:
    `isUnset` in interface `GenFeature`

### isIsSet

    public boolean isIsSet()

  Specified by:
    `isIsSet` in interface `GenFeature`

### isEffectiveContains

    public boolean isEffectiveContains()

  Specified by:
    `isEffectiveContains` in interface `GenFeature`

### hasEDefault

    public boolean hasEDefault()

  Specified by:
    `hasEDefault` in interface `GenFeature`

### getEDefault

    public java.lang.String getEDefault()

  Specified by:
    `getEDefault` in interface `GenFeature`

### isTested

    public boolean isTested()

  Description copied from interface: `GenFeature`
  Returns whether the test case will test this feature.

  Specified by:
    `isTested` in interface `GenFeature`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.